de.dhbwstuttgart.typeinference

## Interface TypeInsertable

- All Superinterfaces:
    IItemWithOffset, Typeable
  All Known Implementing Classes:
    Constant, Constructor, Field, FieldDeclaration, FormalParameter, FunNMethod, LambdaParameter, LocalVarDecl, Method

      public interface TypeInsertable
      extends Typeable, IItemWithOffset

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TypeInsertPoint` | `createTypeInsertPoint(TypePlaceholder tph, ResultSet resultSet)` Errechnet den TypeInsertPoint fÃ¼r das TypeInsertable.
    `java.lang.String` | `getIdentifier()`
    `int` | `getOffset()`
    `void` | `setOffset(int offset)`

    - ### Methods inherited from interface de.dhbwstuttgart.typeinference.Typeable

      `getType, setType`

    - ### Methods inherited from interface de.dhbwstuttgart.core.IItemWithOffset

      `getVariableLength`

- - ### Method Detail

    - #### getOffset

          int getOffset()

      Specified by:
        `getOffset` in interface `IItemWithOffset`

    - #### setOffset

          void setOffset(int offset)

    - #### getIdentifier

          java.lang.String getIdentifier()

    - #### createTypeInsertPoint

          TypeInsertPoint createTypeInsertPoint(TypePlaceholder tph,
                                                ResultSet resultSet)

      Errechnet den TypeInsertPoint fÃ¼r das TypeInsertable. TypeInsertPoints sollten nur Ã¼ber diese Funktion erstellt werden.
      Parameters:
        `tph` -
        `resultSet` -
      Returns:
        - kann auch null zurÃ¼ckgeben.